'///////////////////////////////////////////////////////////////////////
'// Delete local folders if redirected
DeleteNotRedirectedLocalFolders
WScript.Quit
'///////////////////////////////////////////////////////////////////////
'// Delete not redirected special folders
Function DeleteNotRedirectedLocalFolders
 On Error Resume Next
 Dim oFSO,FolderToDelete
 Dim SpecialFoldersRegValues,arrSpecialFoldersRegValues
 Dim SpecialFolderRegValue,arrSpecialFolders
 Dim index,SpecialFolder
 Set oFSO=CreateObject("Scripting.FileSystemObject")
 'Registry values
 SpecialFoldersRegValues="Desktop,Favorites,My Music,My Pictures,My Video,Personal," & _
                         "{374DE290-123F-4565-9164-39C4925E467B}," & _
                         "{4C5C32FF-BB9D-43B0-B5B4-2D72E54EAAA4}," & _
                         "{56784854-C6CB-462B-8169-88E350ACB882}," & _
                         "{7D1D3A04-DEBB-4115-95CF-2F29DA2920DA}," & _
                         "{BFB9D5E0-C6A9-404C-B2B2-AE6DB6AF4968}" 
 'Local folders to delete if redirected                     
 SpecialFolders="Desktop,Favorites,Music,Pictures,Videos,Documents," & _
                "Downloads,Saved Games,Contacts,Searches,Links"
 arrSpecialFoldersRegValues=Split(SpecialFoldersRegValues,",")
 arrSpecialFolders=Split(SpecialFolders,",")
 index=-1
 For Each SpecialFolderRegValue In arrSpecialFoldersRegValues
     index=index+1
     If SpecialFolderExistsAndRedirected(SpecialFolderRegValue) Then
        SpecialFolder=GetUserProfilePath & "\" & arrSpecialFolders(index)
        If SpecialFolder<>"" Then 
           Set FolderToDelete=oFSO.GetFolder(SpecialFolder)           
           FolderToDelete.Delete True
           If oFSO.FolderExists(SpecialFolder) Then 
              FolderToDelete.Attributes=6
              End If 
        End If  
     End If 
 Next
 oFSO=Nothing
End Function
'///////////////////////////////////////////////////////////////////////
'// Get UserProfile
Function GetUserProfilePath
 On Error Resume Next
 Dim oShell, ProfileVar
 ProfileVar="%USERPROFILE%"
 Set oShell=CreateObject("WScript.Shell")
 GetUserProfilePath=oShell.ExpandEnvironmentStrings(ProfileVar)
 oShell=Nothing
End Function
'///////////////////////////////////////////////////////////////////////
'// Special folder exists and is redirected
Function SpecialFolderExistsAndRedirected(SpecialFolder)
 On Error Resume Next
 Dim oShell,strRoot,Reg
 Set oShell=CreateObject("WScript.Shell")
 strRoot="HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders\"
 Err.Clear
 Reg=oShell.RegRead(strRoot & SpecialFolder)
 If Err.Number=0 Then 
    SpecialFolderExistsAndRedirected=False
    If Left(UCase(Reg),13)<>"%USERPROFILE%" Then 
       SpecialFolderExistsAndRedirected=True
       End If 
 End If 
 oShell=Nothing
End Function
'//////////////////////////////////////////
